# _NvOSD_FontParams Struct Reference

Holds the font parameters of the text to be overlayed. More...

`#include <nvosd.h>`

List of all members.

## Public Attributes

char * | font_name
| Holds pointer to the string containing font name.
unsigned int | font_size
| Holds size of the font.
NvOSD_ColorParams | font_color
| Holds font color.

## Detailed Description

Holds the font parameters of the text to be overlayed.

Definition at line 66 of file nvosd.h.

## Member Data Documentation

NvOSD_ColorParams _NvOSD_FontParams::font_color

Holds font color.

Definition at line 72 of file nvosd.h.

char* _NvOSD_FontParams::font_name

Holds pointer to the string containing font name.

Definition at line 67 of file nvosd.h.

unsigned int _NvOSD_FontParams::font_size

Holds size of the font.

Definition at line 70 of file nvosd.h.

The documentation for this struct was generated from the following file:

- include/nvosd.h